Package com.ocient.jdbc

# Class XGProperties

java.lang.Object
com.ocient.jdbc.XGProperties

    public class XGProperties
    extends Object

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONNECTION_POOL_ACTIVATION_PERMITS` | The connection activator thread pool is used to activate and establish database connections asynchronously.
`static Duration` | `CONNECTION_POOL_MIN_EVICTABLE_IDLE_TIME_MILLIS` | Specifies the minimum amount of time that a closed connection must remain idle before it is eligible for eviction.
`static int` | `CONNECTION_POOL_MIN_IDLE_PER_EDNPOINT` | The minimum number of connections to cache per database endpoint.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XGProperties()` |

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONNECTION_POOL_ACTIVATION_PERMITS

public static final int CONNECTION_POOL_ACTIVATION_PERMITS
The connection activator thread pool is used to activate and establish database connections asynchronously. It uses a core pool size of 1 and an unbounded maximum pool size. A semaphore is used to throttle the maximum number of concurrent activation tasks. It uses a fair policy to ensure that all pending tasks have an equal chance of acquiring permits.

### CONNECTION_POOL_MIN_IDLE_PER_EDNPOINT

public static final int CONNECTION_POOL_MIN_IDLE_PER_EDNPOINT
The minimum number of connections to cache per database endpoint. Bursty applications may want to increase this value.

### CONNECTION_POOL_MIN_EVICTABLE_IDLE_TIME_MILLIS

public static final Duration CONNECTION_POOL_MIN_EVICTABLE_IDLE_TIME_MILLIS
Specifies the minimum amount of time that a closed connection must remain idle before it is eligible for eviction. This is a soft limit, which means that it does not guarantee that objects will be evicted after the specified time. Instead, it provides a hint to the eviction thread that connections should be evicted if they are idle for longer than the specified time and if the pool size exceeds the maximum size limit. It's worth noting that setting a high value for can lead to increased memory usage and decreased performance, as idle objects will remain in the pool for longer periods of time.

## Constructor Details

### XGProperties

public XGProperties()